Package com.mapd.thrift.server

## Class TMapDException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.thrift.TException
      - - com.mapd.thrift.server.TMapDException

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<TMapDException>`, `org.apache.thrift.TBase<TMapDException,​TMapDException._Fields>`, `org.apache.thrift.TSerializable`

    public class TMapDException
    extends org.apache.thrift.TException
    implements org.apache.thrift.TBase<TMapDException,​TMapDException._Fields>, Serializable, Cloneable, Comparable<TMapDException>

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `TMapDException._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`String` `error_msg`
`static Map<TMapDException._Fields,​org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`

### Constructor Summary

Constructors
`TMapDException()`
`TMapDException​(TMapDException other)` Performs a deep copy on other.
`TMapDException​(String error_msg)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clear()`
`int` `compareTo​(TMapDException other)`
`TMapDException` `deepCopy()`
`boolean` `equals​(TMapDException that)`
`boolean` `equals​(Object that)`
`TMapDException._Fields` `fieldForId​(int fieldId)`
`String` `getError_msg()`
`Object` `getFieldValue​(TMapDException._Fields field)`
`int` `hashCode()`
`boolean` `isSet​(TMapDException._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetError_msg()` Returns true if field error_msg is set (has been assigned a value) and false otherwise
`void` `read​(org.apache.thrift.protocol.TProtocol iprot)`
`TMapDException` `setError_msg​(String error_msg)`
`void` `setError_msgIsSet​(boolean value)`
`void` `setFieldValue​(TMapDException._Fields field, Object value)`
`String` `toString()`
`void` `unsetError_msg()`
`void` `validate()`
`void` `write​(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### error_msg

    public String error_msg

#### metaDataMap

    public static final Map<TMapDException._Fields,​org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### TMapDException

    public TMapDException()

#### TMapDException

    public TMapDException​(String error_msg)

#### TMapDException

    public TMapDException​(TMapDException other)

Performs a deep copy on other.

### Method Detail

#### deepCopy

    public TMapDException deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<TMapDException,​TMapDException._Fields>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<TMapDException,​TMapDException._Fields>`

#### getError_msg

    public String getError_msg()

#### setError_msg

    public TMapDException setError_msg​(String error_msg)

#### unsetError_msg

    public void unsetError_msg()

#### isSetError_msg

    public boolean isSetError_msg()

Returns true if field error_msg is set (has been assigned a value) and false otherwise

#### setError_msgIsSet

    public void setError_msgIsSet​(boolean value)

#### setFieldValue

    public void setFieldValue​(TMapDException._Fields field,
                              Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<TMapDException,​TMapDException._Fields>`

#### getFieldValue

    public Object getFieldValue​(TMapDException._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<TMapDException,​TMapDException._Fields>`

#### isSet

    public boolean isSet​(TMapDException._Fields field)

Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<TMapDException,​TMapDException._Fields>`

#### equals

    public boolean equals​(Object that)

Overrides:
  `equals` in class `Object`

#### equals

    public boolean equals​(TMapDException that)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### compareTo

    public int compareTo​(TMapDException other)

Specified by:
  `compareTo` in interface `Comparable<TMapDException>`

#### fieldForId

    public TMapDException._Fields fieldForId​(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<TMapDException,​TMapDException._Fields>`

#### read

    public void read​(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### write

    public void write​(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Throwable`

#### validate

    public void validate()
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`